For the complete documentation index, see llms.txt. This page is also available as Markdown.

VHD Locations

Get

get

Retrieve FSLogix Profile Container VHDLocation List of a Site Defaults object.

Query parameters
siteIdinteger · int32Optional

The SiteId of a Site Defaults object for which to retrieve the FSLogix Profile Container settings (optional).

Responses
200

Success

application/json; api-version=1.0
string[]Optional
get/api/AVD/DefaultSettings/SingleSession/FSLogix/ProfileContainer/VHDLocations
GET /api/AVD/DefaultSettings/SingleSession/FSLogix/ProfileContainer/VHDLocations HTTP/1.1
Accept: */*
[
  "text"
]

Add

post

Add a VHDLocation to the VHDLocation List of the FSLogix Profile Container settings.

Query parameters
siteIdinteger · int32Optional

The Site ID of an object for which to modify the FSLogix Profile Container settings (optional).

Body

Add a new VHDLocation to the FSLogix VHDLocation list

vhdLocationstring · min: 1 · max: 255 · nullableRequired

Specifies the 'VHDLocation' path to add to the VHDLocation List.

Responses
201

Created

No content

post/api/AVD/DefaultSettings/SingleSession/FSLogix/ProfileContainer/VHDLocations
POST /api/AVD/DefaultSettings/SingleSession/FSLogix/ProfileContainer/VHDLocations HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 22

{
  "vhdLocation": "text"
}

No content

Delete

delete

Remove a VHDLocation from the VHDLocation List of the FSLogix Profile Container settings.

Query parameters
siteIdinteger · int32Optional

The Site ID of an object for which to modify the FSLogix Profile Container settings (optional).

Body

Remove a VHDLocation from the FSLogix VHDLocation list

vhdLocationstring · min: 1 · max: 255 · nullableRequired

Specifies the 'VHDLocation' path to remove from the VHDLocation List.

Responses
204

No Content

No content

delete/api/AVD/DefaultSettings/SingleSession/FSLogix/ProfileContainer/VHDLocations
DELETE /api/AVD/DefaultSettings/SingleSession/FSLogix/ProfileContainer/VHDLocations HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 22

{
  "vhdLocation": "text"
}

No content